## org.eclipse.jst.jsf.metadataprocessors
Class MetaDataContext

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.MetaDataContext

Direct Known Subclasses:
  TaglibMetadataContext

    public class MetaDataContext

extends java.lang.Object

The current meta data model context being used for processing.

Provisional API - subject to change

Constructor Summary
`MetaDataContext(Entity entity, Trait trait)` Constructor

Method Summary
`Entity` `getEntity()`
`Trait` `getTrait()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaDataContext

    public MetaDataContext(Entity entity,
                           Trait trait)

  Constructor

  Parameters:
    `entity` -
    `trait` -

Method Detail

### getEntity

    public Entity getEntity()

  Returns:
    Entity

### getTrait

    public Trait getTrait()

  Returns:
    Trait